using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.DNS.Protocol.ResourceRecords.Records
{
	internal class IPAddressResourceRecord : BaseResourceRecord, SimpleDnsRecord
    {
        public IPAddressResourceRecord(IResourceRecord record) : base(record)
        {
            IPAddress = new IPAddress(Data);
        }

        public IPAddress IPAddress { get; }

		public string GetDataAsString()
		{
			return IPAddress.ToString();
		}
	}
}
